--- title: "Installation" slug: "server-api-livechat-installation" updated: 2022-07-28T09:24:38Z published: 2022-07-28T09:24:38Z canonical: "developer.comm100.com/server-api-livechat-installation" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Installation ## Installation You need the Manage campaigns permission to get live chat code. - `Installations` - Installations Manage - `GET livechat/campaigns/{id}/installation` - [Installation Code](/docs/server-api-livechat-installation#installation-code) ### Installation JSON Format Installation is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `installationCode` | string | The main live chat code. | | `installationSecondCode` | string | The second live chat code. | | `installationChatLink` | string | The chat window link of visitor side. | ### Installation Code `GET livechat/campaigns/{id}/installation` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `id` | string | path | yes | Id of the Campaign. | - #### Response: [Installation](/docs/server-api-livechat-installation#installation-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/LiveChat/campaigns/22f0b296-69e9-4b81-abe4-4bb9ed5ec9ef/installation \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "installationCode": "\r\n
\r\n\r\n", "installationSecondCode": "\r\n\r\n\r\n" "installationChatLink": "\r\n\r\n\r\n" } ```